## CryptUIKeyset

CryptUIKeyset

## Synopsis

                        CryptUIKeysetPrivate;
                        CryptUIKeyset;
    CryptUIKeyset*      cryptui_keyset_new                  (const gchar *keytype,
                                                             gboolean expand_keys);
    gboolean            cryptui_keyset_has_key              (CryptUIKeyset *keyset,
                                                             const gchar *key);
    const gchar*        cryptui_keyset_get_keytype          (CryptUIKeyset *keyset);
    GList*              cryptui_keyset_get_keys             (CryptUIKeyset *keyset);
    guint               cryptui_keyset_get_count            (CryptUIKeyset *keyset);
    void                cryptui_keyset_refresh              (CryptUIKeyset *keyset);
    gpointer            cryptui_keyset_get_closure          (CryptUIKeyset *keyset,
                                                             const gchar *key);
    void                cryptui_keyset_set_closure          (CryptUIKeyset *keyset,
                                                             const gchar *key,
                                                             gpointer closure);
    gboolean            cryptui_keyset_get_expand_keys      (CryptUIKeyset *keyset);
    void                cryptui_keyset_set_expand_keys      (CryptUIKeyset *keyset,
                                                             gboolean expand_keys);
    void                cryptui_keyset_cache_key            (CryptUIKeyset *keyset,
                                                             const gchar *key);
    gchar*              cryptui_keyset_key_get_string       (CryptUIKeyset *keyset,
                                                             const gchar *key,
                                                             const gchar *prop);
    guint               cryptui_keyset_key_get_uint         (CryptUIKeyset *keyset,
                                                             const gchar *key,
                                                             const gchar *prop);
    guint               cryptui_keyset_key_flags            (CryptUIKeyset *keyset,
                                                             const gchar *key);
    gchar*              cryptui_keyset_key_display_name     (CryptUIKeyset *keyset,
                                                             const gchar *key);
    gchar*              cryptui_keyset_key_display_id       (CryptUIKeyset *keyset,
                                                             const gchar *key);
    gchar*              cryptui_keyset_key_raw_keyid        (CryptUIKeyset *keyset,
                                                             const gchar *key);
    gchar**             cryptui_keyset_keys_raw_keyids      (CryptUIKeyset *keyset,
                                                             const gchar **keys);

## Description

## Details

### CryptUIKeysetPrivate

    typedef struct _CryptUIKeysetPrivate CryptUIKeysetPrivate;

### CryptUIKeyset

    typedef struct {
        GtkObject parent;
    } CryptUIKeyset;

### cryptui_keyset_new ()

    CryptUIKeyset*      cryptui_keyset_new                  (const gchar *keytype,
                                                             gboolean expand_keys);

`keytype` : |
`expand_keys` : |
Returns : |

### cryptui_keyset_has_key ()

    gboolean            cryptui_keyset_has_key              (CryptUIKeyset *keyset,
                                                             const gchar *key);

`keyset` : |
`key` : |
Returns : |

### cryptui_keyset_get_keytype ()

    const gchar*        cryptui_keyset_get_keytype          (CryptUIKeyset *keyset);

`keyset` : |
Returns : |

### cryptui_keyset_get_keys ()

    GList*              cryptui_keyset_get_keys             (CryptUIKeyset *keyset);

`keyset` : |
Returns : |

### cryptui_keyset_get_count ()

    guint               cryptui_keyset_get_count            (CryptUIKeyset *keyset);

`keyset` : |
Returns : |

### cryptui_keyset_refresh ()

    void                cryptui_keyset_refresh              (CryptUIKeyset *keyset);

`keyset` : |

### cryptui_keyset_get_closure ()

    gpointer            cryptui_keyset_get_closure          (CryptUIKeyset *keyset,
                                                             const gchar *key);

`keyset` : |
`key` : |
Returns : |

### cryptui_keyset_set_closure ()

    void                cryptui_keyset_set_closure          (CryptUIKeyset *keyset,
                                                             const gchar *key,
                                                             gpointer closure);

`keyset` : |
`key` : |
`closure` : |

### cryptui_keyset_get_expand_keys ()

    gboolean            cryptui_keyset_get_expand_keys      (CryptUIKeyset *keyset);

`keyset` : |
Returns : |

### cryptui_keyset_set_expand_keys ()

    void                cryptui_keyset_set_expand_keys      (CryptUIKeyset *keyset,
                                                             gboolean expand_keys);

`keyset` : |
`expand_keys` : |

### cryptui_keyset_cache_key ()

    void                cryptui_keyset_cache_key            (CryptUIKeyset *keyset,
                                                             const gchar *key);

`keyset` : |
`key` : |

### cryptui_keyset_key_get_string ()

    gchar*              cryptui_keyset_key_get_string       (CryptUIKeyset *keyset,
                                                             const gchar *key,
                                                             const gchar *prop);

`keyset` : |
`key` : |
`prop` : |
Returns : |

### cryptui_keyset_key_get_uint ()

    guint               cryptui_keyset_key_get_uint         (CryptUIKeyset *keyset,
                                                             const gchar *key,
                                                             const gchar *prop);

`keyset` : |
`key` : |
`prop` : |
Returns : |

### cryptui_keyset_key_flags ()

    guint               cryptui_keyset_key_flags            (CryptUIKeyset *keyset,
                                                             const gchar *key);

`keyset` : |
`key` : |
Returns : |

### cryptui_keyset_key_display_name ()

    gchar*              cryptui_keyset_key_display_name     (CryptUIKeyset *keyset,
                                                             const gchar *key);

`keyset` : |
`key` : |
Returns : |

### cryptui_keyset_key_display_id ()

    gchar*              cryptui_keyset_key_display_id       (CryptUIKeyset *keyset,
                                                             const gchar *key);

`keyset` : |
`key` : |
Returns : |

### cryptui_keyset_key_raw_keyid ()

    gchar*              cryptui_keyset_key_raw_keyid        (CryptUIKeyset *keyset,
                                                             const gchar *key);

`keyset` : |
`key` : |
Returns : |

### cryptui_keyset_keys_raw_keyids ()

    gchar**             cryptui_keyset_keys_raw_keyids      (CryptUIKeyset *keyset,
                                                             const gchar **keys);

`keyset` : |
`keys` : |
Returns : |